Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.intercept
Class AdvisableImpl

    java.lang.Object
      org.codehaus.aspectwerkz.intercept.AdvisableImpl

All Implemented Interfaces:
  Advisable

    public class AdvisableImpl

extends Object
implements Advisable

Implementation of the `Advisable` mixin.

Author:
  Jonas Bonr , Alexandre Vasseur

Field Summary
`static ClassInfo` | `CLASS_INFO`
`static AfterAdvice[]` | `EMPTY_AFTER_ADVICE_ARRAY`
`static AfterReturningAdvice[]` | `EMPTY_AFTER_RETURNING_ADVICE_ARRAY`
`static AfterThrowingAdvice[]` | `EMPTY_AFTER_THROWING_ADVICE_ARRAY`
`static AroundAdvice[]` | `EMPTY_AROUND_ADVICE_ARRAY`
`static BeforeAdvice[]` | `EMPTY_BEFORE_ADVICE_ARRAY`

Constructor Summary
`AdvisableImpl(Object targetInstance)` Creates a new mixin impl.

Method Summary
`void` | `aw_addAdvice(String pointcut, Advice advice)`
`void` | `aw_removeAdvice(String pointcut, Class adviceClass)`
`AfterAdvice[]` | `aw$getAfterAdvice(int joinPointIndex)`
`AfterReturningAdvice[]` | `aw$getAfterReturningAdvice(int joinPointIndex)`
`AfterThrowingAdvice[]` | `aw$getAfterThrowingAdvice(int joinPointIndex)`
`AroundAdvice[]` | `aw$getAroundAdvice(int joinPointIndex)`
`BeforeAdvice[]` | `aw$getBeforeAdvice(int joinPointIndex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_INFO

    public static final ClassInfo CLASS_INFO

### EMPTY_AROUND_ADVICE_ARRAY

    public static final AroundAdvice[] EMPTY_AROUND_ADVICE_ARRAY

### EMPTY_BEFORE_ADVICE_ARRAY

    public static final BeforeAdvice[] EMPTY_BEFORE_ADVICE_ARRAY

### EMPTY_AFTER_ADVICE_ARRAY

    public static final AfterAdvice[] EMPTY_AFTER_ADVICE_ARRAY

### EMPTY_AFTER_RETURNING_ADVICE_ARRAY

    public static final AfterReturningAdvice[] EMPTY_AFTER_RETURNING_ADVICE_ARRAY

### EMPTY_AFTER_THROWING_ADVICE_ARRAY

    public static final AfterThrowingAdvice[] EMPTY_AFTER_THROWING_ADVICE_ARRAY

Constructor Detail

### AdvisableImpl

    public AdvisableImpl(Object targetInstance)

  Creates a new mixin impl.

  Parameters:
    `targetInstance` - the target for this mixin instance (perInstance deployed)

Method Detail

### aw_addAdvice

    public void aw_addAdvice(String pointcut,
                             Advice advice)

  Specified by:
    `aw_addAdvice` in interface `Advisable`
  Parameters:
    `pointcut` -
    `advice` -

### aw_removeAdvice

    public void aw_removeAdvice(String pointcut,
                                Class adviceClass)

  Specified by:
    `aw_removeAdvice` in interface `Advisable`
  Parameters:
    `pointcut` -
    `adviceClass` -

### aw$getAroundAdvice

    public AroundAdvice[] aw$getAroundAdvice(int joinPointIndex)

  Specified by:
    `aw$getAroundAdvice` in interface `Advisable`
  Parameters:
    `joinPointIndex` -
  Returns:

### aw$getBeforeAdvice

    public BeforeAdvice[] aw$getBeforeAdvice(int joinPointIndex)

  Specified by:
    `aw$getBeforeAdvice` in interface `Advisable`
  Parameters:
    `joinPointIndex` -
  Returns:

### aw$getAfterAdvice

    public AfterAdvice[] aw$getAfterAdvice(int joinPointIndex)

  Specified by:
    `aw$getAfterAdvice` in interface `Advisable`
  Parameters:
    `joinPointIndex` -
  Returns:

### aw$getAfterReturningAdvice

    public AfterReturningAdvice[] aw$getAfterReturningAdvice(int joinPointIndex)

  Specified by:
    `aw$getAfterReturningAdvice` in interface `Advisable`
  Parameters:
    `joinPointIndex` -
  Returns:

### aw$getAfterThrowingAdvice

    public AfterThrowingAdvice[] aw$getAfterThrowingAdvice(int joinPointIndex)

  Specified by:
    `aw$getAfterThrowingAdvice` in interface `Advisable`
  Parameters:
    `joinPointIndex` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.